#include "StdAfx.h"

#include "Copieur.h"

int Copieur::comprimer(char*nom,FILE*source,FILE*dest)
{
	printf("Copie de %s ",nom);
	int c;
	int i=0;
	while( (c=fgetc(source)) != -1)
	{
		i++;
		if(i % 1024)
			printf(".");
		fputc(c,dest);
	}
	return i;
}

void Copieur::expanser(char*nom,int taille_originale,int taille_archive,FILE*source)
{
	FILE*sortie;
	sortie=fopen(nom,"wb");

	printf("Decopie de %s\n",nom);
	int c;
	int i=0;
	for(i=0; i<taille_archive;i++)
	{
		c=fgetc(source);
		putc(c,sortie);
	}
	fclose(sortie);
}